# GimpUi.ProcedureDialog.get_color_widget

    @accepts(GimpUi.ProcedureDialog, unicode, bool, GimpUi.ColorAreaType)
    @returns(Gtk.Widget)
    def get_color_widget(self, property, editable, type):
        # Python wrapper for gimp_procedure_dialog_get_color_widget()

Creates a new widget for property which must necessarily be a Gegl.Color property. This must be used instead of GimpUi.ProcedureDialog.get_widget when you want a GimpUi.LabelColor which is not customizable for a color property, or when to set a specific type.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

self

  the associated GimpUi.ProcedureDialog.

property

  name of the Gegl.Color property to build a widget for. It must be a property of the Gimp.Procedure self has been created for.

editable

  whether the color can be edited or is only for display.

type

  the GimpUi.ColorAreaType.

Returns